Part Tube

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Tube and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Page précédente : Part Torus.svg Tore
Page suivante : Primitives Part Primitives.svg Arrow-right.svg

Part Tube.svg Part Tube

Emplacement du menu
Part → Primitives → Créer un tube
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Part Primitives

Description

La commande Part Tube.svg Part Tube crée un solide tubulaire paramétrique. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, la face inférieure du tube se trouve sur le plan XY avec son centre à l'origine.

Part Tube Example.png

Utilisation

Créer

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Part Tube.svg Créer un tube.
    • Sélectionnez l'option Part → Primitives → Part Tube.svg Créer un tube dans le menu.
  2. Le panneau de tâches Tube s'ouvre et un aperçu du tube s'affiche dans la Vue 3D.
  3. Spécifiez les dimensions.
  4. L'aperçu est mis à jour dynamiquement.
  5. Appuyez sur le bouton OK.
  6. Le tube est créé.
  7. Vous pouvez éventuellement modifier les DonnéesPlacement du tube dans l'Éditeur de propriétés, ou avec le Std TransformManip.svg Std Transformation manipulation.

Éditer

  1. Double-cliquez sur le tube dans la Vue en arborescence.
  2. Le panneau de tâches Tube s'ouvre.
  3. Modifiez une ou plusieurs dimensions.
  4. Le tube est mis à jour de façon dynamique dans la Vue 3D..
  5. Appuyez sur le bouton OK.

Exemple

Part Tube à partir de l'exemple du script

Un objet Part Tube créé avec l'exemple du script ci-dessous.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Part Tube est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Attachment

L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.

Tube

  • DonnéesHeight (Length) : La hauteur du tube. La valeur par défaut est 10mm.
  • DonnéesInner Radius (Length) : Le rayon intérieur du tube. Doit être plus petit que DonnéesOuter Radius. Peut être 0. La valeur par défaut est 2mm.
  • DonnéesOuter Radius (Length) : Le rayon extérieur du tube. Doit être plus grand que DonnéesInner Radius. La valeur par défaut est 5mm.

Script

Voir aussi: Autogenerated API documentation, Part Ecrire un script et Débuter avec les scripts FreeCAD.

Un Part Tube peut être créé avec la méthode addTube() (Introduit dans la version 0.20) du module Shapes :

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
  • "myTube" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Exemple :

import FreeCAD as App
from BasicShapes import Shapes

doc = App.activeDocument()

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
tube.Height = 20
tube.InnerRadius = 2
tube.OuterRadius = 3
tube.Placement = App.Placement(App.Vector(2, 4, 5), App.Rotation(60, 60, 30))

doc.recompute()


Arrow-left.svg Page précédente : Part Torus.svg Tore
Page suivante : Primitives Part Primitives.svg Arrow-right.svg